require 'activerecord-custom_timestamps'

module CustomTimestamps
  class Railtie < Rails::Railtie
    initializer "custom_timestamps.active_record" do
      ActiveSupport.on_load(:active_record) do
        if Rails::VERSION::MAJOR == 4
          if Rails::VERSION::MINOR < 2
            include ::CustomTimestamps::EarlyRails4Model
          else
            include ::CustomTimestamps::Model
          end
        elsif Rails::VERSION::MAJOR == 3 
          include ::CustomTimestamps::Rails3Model
        end
      end
    end
  end
end
